(A卡A友闭源帖---A卡为奥运而生中国加油)完善修改12.04的ATI驱动安装(期待12.10的马上来临)

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
头像
古里古怪
帖子: 59
注册时间: 2011-01-05 17:35
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#121

帖子 古里古怪 » 2012-04-28 10:51

安装生成的包:
sudo dpkg -i fglrx*.deb

做到这里 弹出错误提示
安装失败了
千金难买一回头
johnson1108
帖子: 1
注册时间: 2012-05-02 18:51
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#123

帖子 johnson1108 » 2012-05-02 18:59

我的机器是笔记本
i-3有集成HD3000显卡,又有ATI HD6470独显,每次ubuntu 安装完毕后,都显示显卡为“未知”,体验为“标准”,使用附加驱动后,还是显示显卡为“未知”,体验为“标准”,根据楼主的办法,先卸载,后安装AMD提供的驱动,安装到最后都提示flgxr崩溃,安装错误,无论哪个版本的驱动都是如此,重启后,就进入low-graphics mode,怎么装也不行。。。这是咋回事呢?
Gray_Cloud
帖子: 38
注册时间: 2012-03-18 16:58
系统: Ubuntu12.04
来自: China
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#124

帖子 Gray_Cloud » 2012-05-03 1:07

我现在系统是Ubuntu12.04正式发行版,系统内核3.2.0.24,显卡是AMD官网下载的最新版12.4,以前直接安装过,没成功。后来按照LZ方法重新安装次还是没成功,不知道是硬件兼容还是什么问题,以前在Ubuntu11.04上安装过官网的12。3版本成功,不知道这是什么原因,望LZ帮忙解答下
附件
20的屏幕截图.png
安装后查看没成功
任何一种艺术,不管是否重要,如果你想要在该领域出类拔萃,就必须全身心投入
lyricorpse
帖子: 116
注册时间: 2011-04-02 22:08
送出感谢: 6 次
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#125

帖子 lyricorpse » 2012-05-05 16:01

求指点。。。。

代码: 全选

lyric@ThinkPad-E420:~/catalyst12.4$ ls
amd-driver-installer-12-4-x86.x86_64.run
fglrx_8.961-0ubuntu1_i386.deb
fglrx-amdcccle_8.961-0ubuntu1_i386.deb
fglrx-dev_8.961-0ubuntu1_i386.deb
fglrx-installer_8.961-0ubuntu1_i386.changes
lyric@ThinkPad-E420:~/catalyst12.4$ sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(正在读取数据库 ... 系统当前共安装有 196881 个文件和目录。)
正在解压缩 fglrx (从 fglrx_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-amdcccle.
正在解压缩 fglrx-amdcccle (从 fglrx-amdcccle_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-dev.
正在解压缩 fglrx-dev (从 fglrx-dev_8.961-0ubuntu1_i386.deb) ...
正在设置 fglrx (2:8.961-0ubuntu1) ...
update-alternatives: 使用 /usr/lib/fglrx/ld.so.conf 来提供 /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf),于 自动模式 中。
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 链接组 i386-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 使用 /usr/lib/fglrx/alt_ld.so.conf 来提供 /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf),于 自动模式 中。
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-24-generic-pae
Building for architecture i686
Building initial module for 3.2.0-24-generic-pae
Error! Bad return status for module build on kernel: 3.2.0-24-generic-pae (i686)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
正在处理用于 ureadahead 的触发器...
正在处理用于 bamfdaemon 的触发器...
Rebuilding /usr/share/applications/bamf.index...
正在设置 fglrx-amdcccle (2:8.961-0ubuntu1) ...
正在设置 fglrx-dev (2:8.961-0ubuntu1) ...
正在处理用于 initramfs-tools 的触发器...
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic-pae
正在处理用于 libc-bin 的触发器...
ldconfig deferred processing now taking place
lyric@ThinkPad-E420:~/catalyst12.4$ sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: 警告: 链接组 i386-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 未将 /usr/lib/i386-linux-gnu/xorg/extra-modules 替换为链接。
xytan123
帖子: 16
注册时间: 2011-12-08 14:58
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#126

帖子 xytan123 » 2012-05-05 18:17

lyricorpse 写了:求指点。。。。

代码: 全选

lyric@ThinkPad-E420:~/catalyst12.4$ ls
amd-driver-installer-12-4-x86.x86_64.run
fglrx_8.961-0ubuntu1_i386.deb
fglrx-amdcccle_8.961-0ubuntu1_i386.deb
fglrx-dev_8.961-0ubuntu1_i386.deb
fglrx-installer_8.961-0ubuntu1_i386.changes
lyric@ThinkPad-E420:~/catalyst12.4$ sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(正在读取数据库 ... 系统当前共安装有 196881 个文件和目录。)
正在解压缩 fglrx (从 fglrx_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-amdcccle.
正在解压缩 fglrx-amdcccle (从 fglrx-amdcccle_8.961-0ubuntu1_i386.deb) ...
Selecting previously unselected package fglrx-dev.
正在解压缩 fglrx-dev (从 fglrx-dev_8.961-0ubuntu1_i386.deb) ...
正在设置 fglrx (2:8.961-0ubuntu1) ...
update-alternatives: 使用 /usr/lib/fglrx/ld.so.conf 来提供 /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf),于 自动模式 中。
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 链接组 i386-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 使用 /usr/lib/fglrx/alt_ld.so.conf 来提供 /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf),于 自动模式 中。
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-24-generic-pae
Building for architecture i686
Building initial module for 3.2.0-24-generic-pae
Error! Bad return status for module build on kernel: 3.2.0-24-generic-pae (i686)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
正在处理用于 ureadahead 的触发器...
正在处理用于 bamfdaemon 的触发器...
Rebuilding /usr/share/applications/bamf.index...
正在设置 fglrx-amdcccle (2:8.961-0ubuntu1) ...
正在设置 fglrx-dev (2:8.961-0ubuntu1) ...
正在处理用于 initramfs-tools 的触发器...
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic-pae
正在处理用于 libc-bin 的触发器...
ldconfig deferred processing now taking place
lyric@ThinkPad-E420:~/catalyst12.4$ sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib/fglrx/switchlibglx:
update-alternatives: 警告: 链接组 i386-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl64.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl64.icd (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalcl.so 因为所关联文件 /usr/lib32/fglrx/libaticalcl.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 跳过创建 /usr/lib32/libaticalrt.so 因为所关联文件 /usr/lib32/fglrx/libaticalrt.so (位于链接组 i386-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 未将 /usr/lib/i386-linux-gnu/xorg/extra-modules 替换为链接。
问题一模一样。。。然后重启进系统黑屏。。。
lyricorpse
帖子: 116
注册时间: 2011-04-02 22:08
送出感谢: 6 次
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#127

帖子 lyricorpse » 2012-05-06 8:47

johnson1108 写了:我的机器是笔记本
i-3有集成HD3000显卡,又有ATI HD6470独显,每次ubuntu 安装完毕后,都显示显卡为“未知”,体验为“标准”,使用附加驱动后,还是显示显卡为“未知”,体验为“标准”,根据楼主的办法,先卸载,后安装AMD提供的驱动,安装到最后都提示flgxr崩溃,安装错误,无论哪个版本的驱动都是如此,重启后,就进入low-graphics mode,怎么装也不行。。。这是咋回事呢?
我和你情况一样,是thinkpad E420吧?
zide929000483
帖子: 6
注册时间: 2012-05-03 13:34
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#128

帖子 zide929000483 » 2012-05-06 18:51

我电脑显卡也是 ATI HD 5650,按照这个方法安装之后图形显卡显示是VESA:MADISON,太悲催了,本人刚开始接触ubuntu,希望各大神指点,不胜感激 :em01
zide929000483
帖子: 6
注册时间: 2012-05-03 13:34
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#129

帖子 zide929000483 » 2012-05-06 18:55

Gray_Cloud 写了:我现在系统是Ubuntu12.04正式发行版,系统内核3.2.0.24,显卡是AMD官网下载的最新版12.4,以前直接安装过,没成功。后来按照LZ方法重新安装次还是没成功,不知道是硬件兼容还是什么问题,以前在Ubuntu11.04上安装过官网的12。3版本成功,不知道这是什么原因,望LZ帮忙解答下
我安装的时候也是出现这个问题,不知道你解决了没,求支招
头像
icelee123
帖子: 811
注册时间: 2011-07-16 19:48
系统: Arch
送出感谢: 2 次
接收感谢: 7 次

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#130

帖子 icelee123 » 2012-05-06 19:24

双显卡的 安装成功但进不了系统的,请务必到bios里禁用集成显卡
其实我是菜鸟、、、
lyricorpse
帖子: 116
注册时间: 2011-04-02 22:08
送出感谢: 6 次
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#131

帖子 lyricorpse » 2012-05-07 13:10

icelee123 写了:双显卡的 安装成功但进不了系统的,请务必到bios里禁用集成显卡
Thinkpad E420 A卡6470M bios里只有Integerated Graphics和Switchable Graphics,似乎没有禁用集成显卡的选项。。。如何是好?
pblh123
帖子: 3
注册时间: 2012-05-01 22:26
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#132

帖子 pblh123 » 2012-05-08 18:18

高手求救啊,我的是hpG4 1058 双显卡的装的是win7和ubuntu双系统,但是在使用ubuntu时电脑巨热无比,我不知道是什么回事。求指导求帮助。
ghost_G
帖子: 23
注册时间: 2010-01-27 11:25
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#133

帖子 ghost_G » 2012-05-13 10:40

收藏帖子先~首先,感谢LZ提供如此详细的教程,为同为4745的我省去了很多麻烦。探讨一下:帖子内容还没有细看,我安装的驱东版本是12.04月份的,比你新一点,然后安装是直接

代码: 全选

sudo sh ~/amd-driver-installer-12-4-x86.x86_64.run
如此 用官方的图形话安装的,并没有去编译,安装完成后与你截图也一样,也可以打开控制面板,但安装完成后提示我重启,混合模式下依旧无法正常启动,仍需BIOS设置独显才可以.我需要怎么做?另:同为4745的你电池显示正常么?我从11.10开始 电池总是现实不存在。
以上,忘回复。
Sinned
帖子: 87
注册时间: 2009-03-18 0:25
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#134

帖子 Sinned » 2012-05-14 15:32

mark
流浪的景禹
帖子: 4
注册时间: 2012-05-03 0:14
送出感谢: 0
接收感谢: 0

Re: (ATI显卡菜鸟x86闭源帖---A鸟都去学雷锋)总结Ubuntu11.04~12.04的ATI驱动安装(精简很

#135

帖子 流浪的景禹 » 2012-06-07 2:25

感谢楼主,在你的指导下,64位系统安装成功。。。。谢谢你。。。。。 :em11
现在还不清楚怎么送出感谢。。。。见谅哈 :em02
回复

回到 “常用硬件支持”